#ifndef SHADE_H
#define SHADE_H
/*
Szymon Rusinkiewicz
Princeton University

shade.h
Exaggerated shading computation.  This is the CPU-based version.
*/

#include "xsh.h"

void shade_cosine(const vector<vec> &normals, const vec &lightdir,
		  float mult, float thresh,
		  vector<float> &texcoords, int secondpass);
void shade_cntr(const vector<vec> &normals, const vec &viewdir, float strength,
		  vector<float> &texcoords, int secondpass);
void shade_exaggerated(const TriMesh *mesh, const XSHdata *data,
		       const vec &lightdir, int use_pdir,
		       const vector<float> &mult, const vector<float> &thresh,
		       const point &attention, float attention_r,
		       vector<float> &texcoords, int secondpass);
void shade_meancurv(const TriMesh *mesh, const XSHdata *data,
		    const vector<float> &mult, const vector<float> &thresh,
		    float curv_limit,
		    const point &attention, float attention_r,
		    vector<float> &texcoords, int secondpass);
#endif

